.. _opt_n:

-n workdir

  Runtime directory for the shared memory, compiled VCLs etc.

  In performance critical applications, this directory should be on a RAM backed filesystem.

  The default is taken from the ``VARNISH_DEFAULT_N`` environment variable.

  Relative paths will be appended to ``/var/lib/varnish``.

  If neither ``VARNISH_DEFAULT_N`` nor ``-n`` are present, the value is ``/var/lib/varnish/varnishd``.

  Note: These defaults may be distribution specific.

